Skip to main content
PUT
/
payments
/
{paymentId}
/
refund
Refund payment
curl --request PUT \
  --url https://api.example.com/payments/{paymentId}/refund \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '{
  "amount": 123
}'
import requests

url = "https://api.example.com/payments/{paymentId}/refund"

payload = { "amount": 123 }
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: 123})
};

fetch('https://api.example.com/payments/{paymentId}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Path Parameters

paymentId
string<uuid>
required

Id of payment to refund.

Body

application/json

Refund options.

amount
integer<int64> | null

Response

OK